# LanguageCode

Property in [Dialogue](/2.2/api/csharp/yarn/yarn.dialogue.md)

## Summary

Gets or sets the [Dialogue](/2.2/api/csharp/yarn/yarn.dialogue.md) 's locale, as an IETF BCP 47 code.

```csharp
public string LanguageCode { get; set; }
```

## Remarks

This code is used to determine how the `plural` and `ordinal` markers determine the plural class of numbers.

For example, the code "en-US" represents the English language as used in the United States.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.languagecode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
